Bug 1394193 - Review Request: arduino-builder - A command line tool for compiling Arduino sketches
Summary: Review Request: arduino-builder - A command line tool for compiling Arduino s...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dennis Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1393796
Blocks: 1316315
TreeView+ depends on / blocked
 
Reported: 2016-11-11 11:26 UTC by Gianluca Sforna
Modified: 2018-06-20 21:51 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-20 21:51:29 UTC
Type: ---
barracks510: fedora-review+


Attachments (Terms of Use)

Description Gianluca Sforna 2016-11-11 11:26:12 UTC
Spec URL: https://giallu.fedorapeople.org/arduino-builder.spec
SRPM URL: https://giallu.fedorapeople.org/arduino-builder-1.0.5-1.fc24.src.rpm
Description:
This tool is able to parse Arduino Hardware specifications, properly run
gcc and produce compiled sketches.
An Arduino sketch differs from a standard C program in that it misses a
main (provided by the Arduino core), function prototypes are not mandatory,
and libraries inclusion is automagic (you just have to #include them).
This tool generates function prototypes and gathers library paths,
providing gcc with all the needed -I params.


Fedora Account System Username: giallu

Comment 1 Gianluca Sforna 2017-01-05 12:40:48 UTC
Uploaded new spec file, now we are correctly building the package with golang dependencies.

Spec URL: https://giallu.fedorapeople.org/arduino-builder.spec
SRPM URL: https://giallu.fedorapeople.org/arduino-builder-1.0.5-2.fc24.src.rpm

Comment 2 Dennis Chen 2017-01-19 08:21:18 UTC
OK. Approved.

Comment 3 Gwyn Ciesla 2017-01-24 22:23:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/arduino-builder

Comment 4 Fedora Update System 2017-01-25 09:11:46 UTC
arduino-builder-1.0.5-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e26cf562b7

Comment 5 Fedora Update System 2017-01-25 09:13:50 UTC
arduino-builder-1.0.5-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e3f59cacf

Comment 6 Fedora Update System 2017-01-25 23:18:54 UTC
arduino-builder-1.0.5-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e3f59cacf

Comment 7 Fedora Update System 2017-01-28 04:52:57 UTC
arduino-builder-1.0.5-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e26cf562b7

Comment 8 Petr Viktorin 2017-01-28 13:36:34 UTC
Could you give some instructions on how to test this? Coming up with the required command line is beyond me.

Or, if it's really not easy to run arduino-builder by itself, I'd recommend just skipping the bodhi karma process and pushing it to Fedora to unblock Arduino IDE.

Comment 9 Gianluca Sforna 2017-01-29 17:34:24 UTC
(In reply to Petr Viktorin from comment #8)
> Could you give some instructions on how to test this? Coming up with the
> required command line is beyond me.

Actually, it's beyond me too :)


> 
> Or, if it's really not easy to run arduino-builder by itself, I'd recommend
> just skipping the bodhi karma process and pushing it to Fedora to unblock
> Arduino IDE.


How? I think I requested a direct push to stable in bodhi, but it ended up in testing anyway so I pretty much assumed this was not skippable.

Comment 10 Petr Viktorin 2017-02-01 15:00:35 UTC
(In reply to Gianluca Sforna from comment #9)
> How? I think I requested a direct push to stable in bodhi, but it ended up
> in testing anyway so I pretty much assumed this was not skippable.

Right, seems it's not skippable.

But, what you can do is:
* create a buildroot override containing arduino-builder at https://bodhi.fedoraproject.org/overrides/new
* build arduino IDE using that
* push both arduino and arduino-builder in a single Bodhi update. (If you're not the maintainer of both packages, ask a provenpackager to do it. I've added Miro who can do this for you once the new arduino is built.)

Comment 11 Petr Viktorin 2017-02-07 12:11:41 UTC
... But that's not necessary now, since after a week arduino-builder can be pushed to stable.

Comment 12 Gianluca Sforna 2017-02-08 10:19:47 UTC
I didn't push it yet because, while I was using the current package in testing to try out the updated arduino, I found a couple missing files for correct operations.

I'm spinning up a new update, I will put there a lower karma requirement so if you want to help we can push it to stable earlier.

Comment 13 Fedora Update System 2017-02-08 22:05:04 UTC
arduino-builder-1.0.5-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-e26cf562b7

Comment 14 Fedora Update System 2017-02-08 22:05:51 UTC
arduino-builder-1.0.5-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e3f59cacf

Comment 15 Fedora Update System 2017-02-09 21:51:49 UTC
arduino-builder-1.0.5-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9e3f59cacf

Comment 16 Fedora Update System 2017-02-09 22:20:25 UTC
arduino-builder-1.0.5-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-e26cf562b7

Comment 17 Fedora Update System 2017-07-23 06:57:43 UTC
arduino-1.6.6-2.fc25, arduino-builder-1.0.5-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c33ec5464a


Note You need to log in before you can comment on or make changes to this bug.